From 176e985c7141aa5bc9e214aa7280b1c0814e1803 Mon Sep 17 00:00:00 2001
From: root <Kedar Sovani kedars@marvell.com>
Date: Tue, 16 Dec 2008 16:26:51 +0530
Subject: [PATCH] libidn: Fix problem with #include_next

As discussed in:
http://www.gnu.org/software/gnulib/manual/html_node/stdint_002eh.html

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 libidn-0.6.14-include-next.patch |   12 ++++++++++++
 libidn.spec                      |    4 +++-
 2 files changed, 15 insertions(+), 1 deletions(-)
 create mode 100644 libidn-0.6.14-include-next.patch

diff --git a/libidn-0.6.14-include-next.patch b/libidn-0.6.14-include-next.patch
new file mode 100644
index 0000000..d28ea9d
--- /dev/null
+++ b/libidn-0.6.14-include-next.patch
@@ -0,0 +1,12 @@
+diff -urp libidn-0.6.14.orig/lib/Makefile.am libidn-0.6.14/lib/Makefile.am
+--- libidn-0.6.14.orig/lib/Makefile.am	2007-05-31 06:31:00.000000000 -0400
++++ libidn-0.6.14/lib/Makefile.am	2008-12-16 00:25:12.000000000 -0500
+@@ -37,7 +37,7 @@ nodist_include_HEADERS = $(idn_int)
+ 
+ idn-int.h:
+ 	if test -n "$(STDINT_H)"; then \
+-		cp gl/stdint.h idn-int.h; \
++		sed -e s/include_next/include/ gl/stdint.h > idn-int.h; \
+ 	else \
+ 		echo '#include <stdint.h>' > idn-int.h; \
+ 	fi
diff --git a/libidn.spec b/libidn.spec
index b9b266e..c4343aa 100644
--- a/libidn.spec
+++ b/libidn.spec
@@ -1,11 +1,12 @@
 Summary: Internationalized Domain Name support library
 Name: libidn
 Version: 0.6.14
-Release: 8
+Release: 8.fa1
 URL: http://www.gnu.org/software/libidn/
 License: LGPLv2+
 Source0: http://josefsson.org/libidn/releases/libidn-%{version}.tar.gz
 Patch0: libidn-0.6.14-aconf262.patch
+Patch1: libidn-0.6.14-include-next.patch
 Group: System Environment/Libraries
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires: pkgconfig, gettext, libtool, autoconf
@@ -33,6 +34,7 @@ developing programs which use the GNU libidn library.
 %prep
 %setup -q
 %patch0 -p1 -b .aconf262
+%patch1 -p1 -b .include-next-fix
 
 # Name directory sections consistently in the info file, #209491
 sed -i '/^INFO-DIR-SECTION/{s/GNU Libraries/Libraries/;s/GNU utilities/Utilities/;}' doc/libidn.info
-- 
1.5.3.3

